<!DOCTYPE html>
{% extends 'base.html' %}
{% load static %}
{%load checkLink%}
{% block links %}
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
</script>
{% endblock %}

{% block body %}
<nav class="navbar fixed-top navbar-light bg-light">
    <div class="container-fluid">

        <div class="d-flex align-items-center">
            <a class="d-inline-block" href="{% url 'home' %}"><img src="{% static '/image/purple-g.png' %}"
                    width="48px"></a>
            <h3 class="d-inline-block m-0" style="padding: 5px 0 0 5px;"> Family Tree</h3>
        </div>

        <!-- <div class="d-flex">
        <a href = "{% url 'filter' %}"><button class="btn button-primary me-1 d-inline"><span class="material-icons">&#xef4f;</span>Filter</button></a>
        <button class="btn button-primary" onclick="scrollToTop()"><span class="material-icons">&#xe5d8;</span>Top</button>
      </div> -->

    </div>

</nav>

<body class="d-flex flex-column min-vh-100">
    <main class="home-body flex-fill">
        <div id="subheader">
            <div class="text-subhead">
                <p>Your Family Tree</p>
            </div>
            <div class="text-body">
                {%if sort%}
                <p>You have {{count}} {{relation|lower}}s in your GrapeVine</p>
                {%else%}
                <p>You have {{count}} people in your GrapeVine</p>
                {%endif%}
            </div>
            <div class="text-center">
                <a href="{% url 'relative_info' %}"><button class="btn button-primary"><span class="material-icons">&#xea4d;</span> Add more people</button> </a>
            </div>
        </div>
        <hr>


        <form action="{% url 'famtree' %}" method="POST">
            {% csrf_token %}
            <label for="inputSort" class="col-sm-2 col-form-label text-body">Sort from: </label>
            <div class="row mb-3">
                <div class="col-7 pe-1">
                    <select name="post_categories" class="filter-selectbox m-0">
                        {%if sort%}
                        <option value = "" selected disabled hidden>{{relation}}</option>
                        {% for display in relation_display %}
                        {%if display.relation != relation%}<option value="{{ display.short }}">{{ display.relation }}
                        </option>{%endif%}
                        {% if display.short == value %}selected="selected"{% endif %}
                        {% endfor %}
                        {%else%}
                        {% for display in relation_display %}
                        <option value = "" selected disabled hidden>Select relationship</option>
                        <option value="{{ display.short }}">{{ display.relation }}</option>
                        {% if display.short == value %}selected="selected"{% endif %}
                        {% endfor %}
                        {%endif%}
                    </select>
                </div>
                <div class="col-2 p-0">
                    <button type="submit" class="btn button-primary" id="sub">Sort</button>
                </div>
               {%if sort%}
                <div class="col-3 p-0">
                    <a href="{% url 'famtree' %}" class="btn button-primary">See all</a>
                </div>
                {%endif%}


            </div>
        </form>



        <div class="famlist">
            {%if sort%}
            <div class="mb-3">
                <p style="color: #a7a7a7;" class="text-body title">{{relation}}s</p>
                <div class="hr">&nbsp;</div>
            </div>
            {%for relative in relatives%}
            <div class="card flex-row flex-wrap full-w mb-2 p-3">
                <div class="card-header border-0" style="max-width: 25%;background-color: transparent">
                    {%if relative.avatar_url%}
                    <figure class="home_profile_image"><img class="home_profile_actual_image"
                            src="data:image/jpeg;base64,{{relative.avatar_url|base64Images}}"  width="80px"></figure>
                    {%elif relative.avatar%}
                    <figure class="home_profile_image"><img class="home_profile_actual_image"
                            src="{{relative.avatar.url}}" width="80px"></figure>
                    {%else%}
                        <figure class="home_profile_image"><img class="home_profile_actual_image"
                                src="{%static '/image/default-avatar.png' %}" width="80px"></figure>
                    {%endif%}
                </div>
                <div class="card-block px-2">
                    <div class="" style="line-height: 15px;">
                        <p class="text-subhead">{{relative.first_name}} {%if relative.last_name%} {{relative.last_name}} {%endif%}</p>
                        <p class="text-body">{{relative.get_relation_display}}</p>
                    </div>

                    <a href="{%url 'relative-detail' pk=relative.pk%}" class="btn button-primary">More info</a>
                </div>
            </div>
            {%endfor%}

            {%else%}
            {%for relationship in relationships%}
                {%for display in relation_display%}
                {%if display.short == relationship%}
                <!-- <p class="card-text">{{display.relation}}s</p> -->
                <div class="mb-3">
                    <p style="color: #a7a7a7;" class="text-body title">{{display.relation}}s</p>
                    <div class="hr">&nbsp;</div>
                </div>
                <div>
                    {%for relative in relatives%}
                    {%if relative.relation == relationship%}
                    <div class="card flex-row flex-wrap full-w mb-2 p-3">
                        <div class="card-header border-0" style="max-width: 25%;background-color: transparent">
                            {%if relative.avatar_url%}
                            <figure class="home_profile_image"><img class="home_profile_actual_image"
                                    src="data:image/jpeg;base64,{{relative.avatar_url|base64Images}}" width="80px" ></figure>
                            {%elif relative.avatar%}
                            <figure class="home_profile_image"><img class="home_profile_actual_image"
                                    src="{{relative.avatar.avatar.url}}" width="80px" height="80px"></figure>
                            {%else%}
                            <figure class="home_profile_image"><img class="home_profile_actual_image"
                                src="{%static '/image/default-avatar.png' %}" width="80px"></figure>
                            {%endif%}
                        </div>
                        <div class="card-block px-2">
                            <div class="" style="line-height: 15px;">
                                <p class="text-subhead">{{relative.first_name}} {%if relative.last_name%} {{relative.last_name}} {%endif%}</p>
                                <p class="text-body">{{display.relation}}</p>
                            </div>
    
                            <a href="{%url 'relative-detail' pk=relative.pk%}" class="btn button-primary">More info</a>
                    </div>
                </div>
                    {%endif%}
                    {%endfor%}
                    <br>
                    {%endif%}
                </div>
                {%endfor%}
                {%endfor%}
            </div>
            {%endif%}
        {% block navbar %}
        {% endblock %}
        
    </main>
</body>



{% endblock %}